hd_detail_t Union Reference
Public interface » ID macros

`#include <hd.h>`

## Data Fields

enum hd_detail_type | type
hd_detail_pci_t | pci
hd_detail_usb_t | usb
hd_detail_isapnp_t | isapnp
hd_detail_cdrom_t | cdrom
hd_detail_floppy_t | floppy
hd_detail_bios_t | bios
hd_detail_cpu_t | cpu
hd_detail_prom_t | prom
hd_detail_monitor_t | monitor
hd_detail_sys_t | sys
hd_detail_scsi_t | scsi
hd_detail_devtree_t | devtree
hd_detail_ccw_t | ccw
hd_detail_joystick_t | joystick

The documentation for this union was generated from the following file:

- hd.h